<script setup lang="ts">
import { type Log } from '@/scripts/api-helper'
import AppCard from './ui/AppCard.vue'

const props = defineProps<{
  log: Log
}>()

const date = new Date(props.log.timestamp)
</script>

<template>
  <AppCard dense>
    <div class="flex justify-between">
      <p class="text-xl text-gray-900 dark:text-white">
        {{ props.log.log_type }} #{{ props.log.id }}
      </p>
      <p class="text-xl text-gray-900 dark:text-white">
        {{ date.toLocaleString('fr') }}
      </p>
    </div>
    <p class="text-gray-900 dark:text-white">
      <em>{{ props.log.message }}</em>
    </p>
  </AppCard>
</template>
